Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## jrummikub.model
Enum StoneTray.Direction

    java.lang.Object
      java.lang.Enum<StoneTray.Direction>
          jrummikub.model.StoneTray.Direction

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<StoneTray.Direction>

Enclosing class:
  StoneTray<E extends Sizeable>

    protected static enum StoneTray.Direction

extends java.lang.Enum<StoneTray.Direction>

Possible move directions in case of overlapping Stones/Sets

Enum Constant Summary
`BOTTOM`
`LEFT`
`RIGHT`
`TOP`

Method Summary
`static StoneTray.Direction` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static StoneTray.Direction[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### LEFT

    public static final StoneTray.Direction LEFT

### RIGHT

    public static final StoneTray.Direction RIGHT

### TOP

    public static final StoneTray.Direction TOP

### BOTTOM

    public static final StoneTray.Direction BOTTOM

Method Detail

### values

    public static StoneTray.Direction[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (StoneTray.Direction c : StoneTray.Direction.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static StoneTray.Direction valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD